<ion-header>
  <ion-toolbar>
    <ion-title class="reqhead" color="secondary">Leave Request</ion-title>
    <ion-buttons slot="start">
        <ion-back-button></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content >
   
  <h3 class="head2" color="secondary">Request For Leave</h3>


  <form [formGroup]="leaveForm" (ngSubmit)="onSubmitLeave()" class="mx-auto col-md-6 offset-md-4 form-box">

  <!-- Team-Leader-Name -->
      <ion-item  >
        <ion-label>Team Leader</ion-label>
        <ion-list *ngFor="let data of profile" >
            <ion-label >
              <h2>{{data?.result?.tl?.first_name}}</h2>
            </ion-label>
      </ion-list>
      </ion-item>
  
  <!-- Select-Leave-Type -->
      <ion-item >
        <ion-label>Leave Type<span>*</span></ion-label>
          <ion-select formControlName="leaveType" [ngClass]="{ 'is-invalid': submitted && f.leaveType.errors }">
              <ion-select-option *ngFor="let option of selectLeaveType" >
                  <h2 color="secondary" >{{option.leaveType}}</h2>
              </ion-select-option>
            </ion-select>
      </ion-item>
      <div *ngIf="submitted && f.leaveType.errors" class="invalid-feedback">
        <div class="leavetype" *ngIf="f.leaveType.errors.required"><ion-icon name="alert"></ion-icon>Leave Type is required</div>
      </div>


  <!-- Choose-Date -->
      <ion-item>
          <ion-label>Select Date<span>*</span></ion-label>
          <ion-datetime displayFormat="DD/MM/YYYY" min="2000" max="2022" formControlName="leaveDate" [ngClass]="{ 'is-invalid': submitted && f.leaveDate.errors }"></ion-datetime>
          <ion-icon name="arrow-dropdown"></ion-icon>
      </ion-item>

      <div *ngIf="submitted && f.leaveDate.errors" class="invalid-feedback">
        <div class="leavetype" *ngIf="f.leaveDate.errors.required"><ion-icon name="alert"></ion-icon>Leave Date is required</div>
      </div>

  <!-- Leave-Reason -->
      <ion-item>
         <ion-label >Leave Reason...<span>*</span></ion-label>
          <ion-textarea rows="4"formControlName="leaveReason" [ngClass]="{ 'is-invalid': submitted && f.leaveReason.errors }" ></ion-textarea>
      </ion-item>

      <div *ngIf="submitted && f.leaveReason.errors" class="invalid-feedback">
        <div class="leavetype" *ngIf="f.leaveReason.errors.required"><ion-icon name="alert"></ion-icon>Leave Reason is required</div>
      </div>
  


  <!-- send-Button -->
      <div class=reqbtn>
          <ion-button type="submit" (click)="sendRequest" shape="round" color="secondary" >Send</ion-button>
      </div>
  
  </form>


</ion-content>



























































<!-- <ion-content fullscreen>


  <ion-card  >
  <ion-item-group >
    <ion-list placeholder="Team Leader" *ngFor="let data of profile" >
          <ion-label color="secondary"   >
            <h2>{{data?.result?.tl?.first_name}}</h2>
          </ion-label>
    </ion-list>

    <ion-list>
        <ion-select placeholder="LeaveType">
          <ion-select-option *ngFor="let option of selectLeaveType" >
              <h2>{{option.leaveType}}</h2>
          </ion-select-option>
        </ion-select>
    </ion-list>

    <ion-list>
          
          
          <ion-datetime  displayFormat="DD/MM/YYYY" min="2000" max="2022"  placeholder="select your date" required>
          <ion-icon name="calenders"></ion-icon> ></ion-datetime>
    
        </ion-list>  

    <ion-item>
          <ion-textarea rows="4" placeholder="Leave Reason..."></ion-textarea>
    </ion-item>

  </ion-item-group>
  </ion-card>




  <div class=reqbtn>
      <ion-button type="submit" (click)="getRequest" shape="round" color="secondary" >Send Request</ion-button>
  </div>



  </ion-content> -->